QListBoxText(3qt)

NAME
QListBoxText - List box items with text

#include <qlistbox.h>

Inherits QListBoxItem.

  Public Members
QListBoxText ( QListBox * listbox, const QString & text=QString::null )
QListBoxText ( const QString & text=QString::null )
QListBoxText ( QListBox * listbox, const QString & text, QListBoxItem * after )
~QListBoxText ()
virtual int height ( const QListBox * ) const
virtual int width ( const QListBox * ) const

  Protected Members
virtual void paint ( QPainter * )

DESCRIPTION
The QListBoxText class provides list box items with text.

The text is drawn in the widget's current font. If you need several different fonts, you have to make your own subclass of QListBoxItem.

See also QListBox and QListBoxItem.

MEMBER FUNCTION DOCUMENTATION

QListBoxText::QListBoxText ( QListBox * listbox, const QString & text, QListBoxItem * after )
Constructs a list box item in listbox listtbox showing the text text. The item gets inserted after the item after.

QListBoxText::QListBoxText ( QListBox * listbox, const QString & text=QString::null )
Constructs a list box item in listbox listtbox showing the text text.

QListBoxText::QListBoxText ( const QString & text=QString::null )
Constructs a list box item showing the text text.

QListBoxText::~QListBoxText ()
Destroys the item.

int QListBoxText::height ( const QListBox * lb ) const [virtual]
Returns the height of a line of text.

See also paint() and width().

Reimplemented from QListBoxItem.

void QListBoxText::paint ( QPainter * painter ) [virtual protected]
Draws the text using painter.

Reimplemented from QListBoxItem.

int QListBoxText::width ( const QListBox * lb ) const [virtual]
Returns the width of this line.

See also paint() and height().

Reimplemented from QListBoxItem.

SEE ALSO
http://doc.trolltech.com/qlistboxtext.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qlistboxtext.3qt) and the Qt version (2.3.1).